// SolarBoar driving
// T. Braunl, May 2022
#include "eyebot.h"

void drive(int secs, int Lspeed, int Rspeed)
{ MOTORDrive(1, Lspeed);
  MOTORDrive(2, Rspeed);
  sleep(secs);
  MOTORDrive(1, 0);
  MOTORDrive(2, 0);
}

int main()
{ LCDPrintf("Forward\n");
  drive(4, 50,50);
  LCDPrintf("Left\n");
  drive(4, -50,50);
  LCDPrintf("Forward\n");
  drive(2, 50,50);
  LCDPrintf("Right\n");
  drive(4, 50,-50);
  LCDPrintf("Back\n");
  drive(4, -50,-50);
}
